[Deprecated]: v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{subjectId}/reuse-kits
Deprecated: Retrieves previously dispensed kits, from a list of kit types passed in the request body, that can be reused in the current visit for a given subject. Support for unblinded pharmacist kits which are put on dose hold. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : Visit Dose Hold Request
Type:
objectTitle:
Visit Dose Hold RequestRequest containing dose hold parameters for a visit.
Show Source
-
instanceNumber: number
(BigDecimal)
Minimum Value:
1Instance number of the unscheduled visitExample:2 -
kitTypesForDoseHold: array
kitTypesForDoseHold
Kit Types For DoseHold
-
screeningDate: string
(date-time)
Screening date.
-
studyVersion(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1.0.0.5 -
titrationOption: string
Allowed Values:
[ "up", "down", "maintain" ]Pattern:up|down|maintainTitration options to dispense kits. For example: up/down/maintain.Example:up -
visitId(required): string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
-
visitStartDate: string
(date-time)
Visit start date.
Nested Schema : kitTypesForDoseHold
Type:
arrayKit Types For DoseHold
Show Source
-
Array of:
object Dose Hold Request
Title:
Dose Hold RequestRequest containing dose hold settings.
Example:
[
{
"kitTypeSrcId":"C36A3197FDEE433FB5547EE83DE99E4B",
"trialSupplyType":"BOTTLE",
"deviceType":"Spirometer",
"isTitration":true
}
]Nested Schema : Dose Hold Request
Type:
objectTitle:
Dose Hold RequestRequest containing dose hold settings.
Show Source
-
deviceType: string
Title:
Device TypeDevice type.Example:Spirometer -
isTitration: boolean
Title:
TitrationIndicates whether the current medication is a titration.Example:true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
Example:
{
"kitTypeSrcId":"C36A3197FDEE433FB5547EE83DE99E4B",
"trialSupplyType":"BOTTLE",
"deviceType":"Spirometer",
"isTitration":true
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Reusable Kits Response
Type:
objectTitle:
Reusable Kits ResponseContains details of reusable kits.
Show Source
-
kits: array
ReusableKit
Title:
ReusableKitContains information for the reusable kits. -
status(required): string
Allowed Values:
[ "ALLOW", "REUSE_NOT_ALLOWED" ]Indicates whether reuse is allowed.Example:ALLOW
Nested Schema : ReusableKit
Type:
arrayTitle:
ReusableKitContains information for the reusable kits.
Show Source
-
Array of:
object ReusableKit
Title:
ReusableKitResponse containing reusable kit details.
Example:
[
{
"id":2,
"inventoryId":"D313327EF13845169A8ADADDA435431E",
"trialSupplyType":"BOTTLE",
"isDosingUnblinded":true,
"dose":5,
"measurement":"ml",
"frequency":"BID",
"kitDescription":"Kit A"
}
]Nested Schema : ReusableKit
Type:
objectTitle:
ReusableKitResponse containing reusable kit details.
Show Source
-
consumeAcrossDoses: boolean
Indicate if consume across dosed allowed.Example:
true -
dose: number
(double)
Dose.Example:
5 -
frequency: string
Allowed Values:
[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
id: number
(Integer)
Id of the reusable kit.Example:
2 -
inventoryId: string
(uuid)
ID of the inventory.
-
kitDescription: string
Kit description.Example:
Kit A -
measurement: string
Dose Measurement.Example:
ml -
trialSupplyType: string
Trial Supply TypeExample:
BOTTLE
Example:
{
"id":2,
"inventoryId":"D313327EF13845169A8ADADDA435431E",
"trialSupplyType":"BOTTLE",
"isDosingUnblinded":true,
"dose":5,
"measurement":"ml",
"frequency":"BID",
"kitDescription":"Kit A"
}Examples
400 Response
Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples